.product-list {
  padding: 20px;
  display: flex;
  justify-content: center; 
  align-items: center; 
  flex-wrap: wrap; 
}

.product-list.grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  gap: 40px; 
  justify-content: center; 
  padding: 20px;
}

.product-list.table {
  display: table;
  border-spacing: 400px 50px; 
  padding: 20px;
}

.product-list.table .product-card {
  display: table-row;
}

.product-list.table .product-card:nth-child(odd) {
  background-color: #777c38;
}

.product-list.table .product-card .product-card-content {
  display: table-cell;
  padding: 10px;
  border-radius: 10px;  
}

.product-list.grid .product-card {
  border-radius: 10px; 
  height: 500px;
}
.product-card {
  position: relative; 
}

.product-card .product-card-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 10px;
  border-radius: 10px;
  text-align: center;
}

.product-card .product-card-details {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.product-card .product-card-details button {
  margin: 5px 0;
}

.product-card .product-card-details .add-to-favorites-button {
  background: none;
  border: none;
  cursor: pointer;
  color: #f39c12;
  font-size: 1.5rem;
  transition: color 0.3s ease;
}

.product-card .product-card-details .add-to-favorites-button:hover {
  color: #e67e22;
}
.product-card .product-card-details .add-to-favorites-button {
  background: none;
  border: none;
  cursor: pointer;
  color: #f39c12;
  font-size: 1.5rem;
  transition: color 0.3s ease, transform 0.3s ease;
}

.product-card .product-card-details .add-to-favorites-button:hover {
  color: #e67e22;
  transform: scale(1.2); 
}

.product-card-list{
  display: flex; 
  align-items: center;
}
.product-card{
  width: 240px;
  height: 450px;
}
.cart-product-quantity{
  display: flex;
  align-items: baseline;
  gap: 10px;
}
.product-card-page{
  background-color: none;
}